Subject: Re: [PATCH 36/63] powerpc: Book 3S MMU little endian support

From: Paul Mackerras <[email-masked]>
Date: Wed, 7 Aug 2013 14:20:49 +1000

On Wed, Aug 07, 2013 at 02:01:53AM +1000, Anton Blanchard wrote:

> +#ifdef __BIG_ENDIAN__
>  #define HPTE_LOCK_BIT 3
> +#else
> +#define HPTE_LOCK_BIT (63-3)
> +#endif

Are you deliberately using a different bit here?  AFAICS you are using
0x20 in the 7th byte as the lock bit for LE, whereas we use 0x08 in
that byte on BE.  Both are software-use bits, so it will still work,
but is there a rationale for the change?  Or did you mean (56+3)
rather than (63-3)?

Paul.